Bug 125520 - Always install grub to /boot, use "standard" MBR
Always install grub to /boot, use "standard" MBR
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
FC3
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-08 10:34 EDT by Chris Adams
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-14 17:04:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Adams 2004-06-08 10:34:39 EDT
One thing that would make Fedora cooperate a little more with other OS
installs on the same drive (whether from Redmond, other Linux
distributions, or even other versions of Fedora) would be to always
only install GRUB to the /boot partition (at least whenever /boot is a
primary bootable partition).  Then optionally install a "standard"
master boot record (maybe from FreeDOS) that does the normal "find the
primary partition with the active flag and chain to it" thing during boot.

This way, if/when something replaces the MBR (like those Redmond OSes
like to do), all it takes is a simple "fdisk" to change the active
partition back to /boot to get Fedora booting again.

The interface could be the same as it is now; just change the actual
work to always install to /boot, always set the active flag on /boot,
and only replace the MBR if "install to MBR" is selected.
Comment 1 Jeremy Katz 2004-06-08 16:26:51 EDT
I've thought about this before and came up with some reason not to do
it, although I don't remember what that was now.  Will consider for FC3.
Comment 2 Aaron Schlaegel 2004-07-03 17:27:00 EDT
I am often wrong...
I believe that grub can boot partitions that the normal MBR can not,
but I do see value in being able to set the boot partition to
something else in dos and just having it work.
Comment 3 Need Real Name 2004-11-16 04:24:28 EST
It can, and it can do so regardless of whether it's booted from MBR or
from the /boot parition.

Note that for some filesystems installing to /boot is not an option. I
think that one of XFS and Reiserfs gets clobbered

Note You need to log in before you can comment on or make changes to this bug.